
QGIS Application - Bug report #20667

'execute sql' as part of a model does not recognize the input of a previous algorithm

2018-11-29 09:19 AM - Pieter Brusselman

Status: Closed

Priority: High

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.4.2 Regression?: Yes

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28487

Description

Hi,

#16129 is marked as fixed.  But when I trie to run the algorithm 'execute sql' as last step in a model, it still returns the same error:

File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\qgis\ExecuteSQL.py", line 157, in processAlgorithm

raise QgsProcessingException(vLayer.dataProvider().error().message())

_core.QgsProcessingException: <p><b>virtual:</b> Cannot find layer output_1ada9f5a_17be_4c84_a3b8_723866a19464

I tried all suggestions made in the quoted issue, both on the latest PR (3.4.2) as on the nightly build version.

Related issues:

Duplicates QGIS Application - Bug report # 16129: Processing : execute sql al... Open 2017-01-29

History

#1 - 2018-11-29 11:24 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

That ticket/fix was for 2.*, in QGIS 3 Processing was re-written so is very possible this is a regression.

#2 - 2018-11-29 12:24 PM - Jürgen Fischer

- Duplicates Bug report #16129: Processing : execute sql alg does not work with input2 ... inputN parameters added

#3 - 2018-12-17 10:49 AM - Jürgen Fischer

- Description updated

#4 - 2019-01-22 07:29 AM - Alexander Bruy

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicates #16129
